GNet Solutions - Bug #33

Cannot delete file as root
01/16/2013 10:45 AM - Daniel Curtis

Status: Closed Start date: 01/16/2013
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

A problem exists in Linux after a file recovery (e2fsck) leaving some of the recovered files with corrupt file attributes (Isattr). This
causes any file modification or deletion to fail, even as root.

History

#1 - 01/16/2013 10:49 AM - Daniel Curtis
- Status changed from New to Closed

- % Done changed from 0 to 100

In order to remove the two file attributes needed for file deletion by root use the chattr command with the -a and the -i flags on the file to change the
*A*ppend and *I*mmutable file attributes.

chattr -i -a /path/to/some/file

When the command finishes delete or modify the files normally.

#2 - 03/31/2013 09:17 AM - Daniel Curtis

Some attributes include:

e A - don't update atime

e S - synchronous updates

e D - synchronous directory updates
* a - append only

e ¢ - compressed

e d-nodump

¢ i - immutable

e j - data journaling

e s - secure deletion

¢ T - top of directory hierarchy

e t - no tail-merging

e u - undeletable

¢ | - use hashed b-trees for directory lookups
